Bug Tracker – Bug 109

Partial death animation

Last modified: 2010-01-15 05:32:52 UTC
Bug 109 - Partial death animation
Summary: Partial death animation
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: (old) 0.0.1
Hardware: Other All
: P2 normal
Assignee: Denis Lukianov
URL:
Depends on:
Blocks: 424 122
  Show dependency tree
 
Reported: 2006-02-12 03:04 UTC by Dylan McIntosh
Modified: 2010-01-15 05:32 UTC (History)
1 user (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Dylan McIntosh 2006-02-12 03:04:58 UTC
Sometimes a death animation gets stuck on the first frame.  This only seems to 
accour when a player has died rapidly like a small telefrag loop.

I suggest putting an exception in the server send mobj animation code so that 
instead of sending death animation info only a 'player killed' packet is sent 
and and the player actor is destroyed on the spot. Then the death animation 
would be client side only reducing network data and ensuring there are no 
mistakes in the death animation, also add a confirmation packet for the player 
death notice to make sure there are no dead/alive disagrements between the 
server and client thus fixing another rare bug.
Comment 1 Denis Lukianov 2006-02-12 11:08:41 UTC
Probably a wise idea
Comment 2 Denis Lukianov 2006-02-25 14:34:53 UTC
On second thoughts, this is not a brilliant plan. Connecting players won't see dying things like they should. There is also a need to differentiate between a corpse and a player that is dying. This is already dealt with fairly well in the existing code (rev 967).

I'm going to mark this fixed unless anyone has comments.
Comment 3 Mike Lightner 2006-03-05 12:50:06 UTC
The only thing I notice in relation to death animations is that one or two frames seem to play twice and as a result the corpse appears to jerk a bit before dying.  It almost could be left as is is because it looks kinda neat, but it could also be "incorrect".
Comment 4 Denis Lukianov 2006-03-20 18:53:12 UTC
Also, if a player dies while shooting, I've noticed that the death animation sometimes does not complete. May be related.
Comment 5 Alexander Mayfield 2007-03-31 21:59:37 UTC
Tested on r177, i dont notice partial death animations any more, but i still see jerky deaths occationally.
Comment 6 Albert Brown 2007-04-08 22:02:08 UTC
r188: in about 1 in 50 deaths, the animation may not complete.  When this happens, the corpse always assumes the default green color.
Comment 7 Dean Joseph 2007-09-04 22:49:01 UTC
Still an issue as of r312
Comment 8 Alexander Mayfield 2007-10-20 19:29:31 UTC
Didn't notice in 379.  Can anyone confirm this being gone?
Comment 9 Ralph Vickers 2010-01-15 05:32:52 UTC
Haven't seen this bug in a few years. Marking fixed as of r1431